<div>
    <h2 id="page-heading">
        <span>Booking Service Members</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-booking-service-member" [routerLink]="['/booking-service-member/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Booking Service Member
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="bookingServiceMembers?.length === 0">
        <span>No bookingServiceMembers found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="bookingServiceMembers && bookingServiceMembers.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>User Id</span></th>
                    <th scope="col" ><span>Product Price Rule</span></th>
                    <th scope="col" ><span>Sku Id</span></th>
                    <th scope="col" ><span>Price</span></th>
                    <th scope="col" ><span>Remark</span></th>
                    <th scope="col" ><span>Start Time</span></th>
                    <th scope="col" ><span>End Time</span></th>
                    <th scope="col" ><span>Image Upload</span></th>
                    <th scope="col" ><span>Booking Detail</span></th>
                    <th scope="col" ><span>Created By</span></th>
                    <th scope="col" ><span>Updated By</span></th>
                    <th scope="col" ><span>Created At</span></th>
                    <th scope="col" ><span>Updated At</span></th>
                    <th scope="col" ><span>Booking Status Id</span></th>
                    <th scope="col" ><span>Job Assignment Id</span></th>
                    <th scope="col" ><span>Booking Services</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let bookingServiceMember of bookingServiceMembers ;trackBy: trackId">
                    <td><a [routerLink]="['/booking-service-member', bookingServiceMember.id, 'view']">{{ bookingServiceMember.id }}</a></td>
                    <td>{{ bookingServiceMember.userId }}</td>
                    <td>{{ bookingServiceMember.productPriceRule }}</td>
                    <td>{{ bookingServiceMember.skuId }}</td>
                    <td>{{ bookingServiceMember.price }}</td>
                    <td>{{ bookingServiceMember.remark }}</td>
                    <td>{{ bookingServiceMember.startTime | date:'medium' }}</td>
                    <td>{{ bookingServiceMember.endTime | date:'medium' }}</td>
                    <td>{{ bookingServiceMember.imageUpload }}</td>
                    <td>{{ bookingServiceMember.bookingDetail }}</td>
                    <td>{{ bookingServiceMember.createdBy | date:'medium' }}</td>
                    <td>{{ bookingServiceMember.updatedBy | date:'medium' }}</td>
                    <td>{{ bookingServiceMember.createdAt | date:'medium' }}</td>
                    <td>{{ bookingServiceMember.updatedAt | date:'medium' }}</td>
                    <td>
                        <div *ngIf="bookingServiceMember.bookingStatusId">
                            <a [routerLink]="['/booking-status', bookingServiceMember.bookingStatusId?.id, 'view']" >{{ bookingServiceMember.bookingStatusId?.id }}</a>
                        </div>
                    </td>
                    <td>
                        <div *ngIf="bookingServiceMember.jobAssignmentId">
                            <a [routerLink]="['/job-assignment', bookingServiceMember.jobAssignmentId?.id, 'view']" >{{ bookingServiceMember.jobAssignmentId?.id }}</a>
                        </div>
                    </td>
                    <td>
                        <div *ngIf="bookingServiceMember.bookingServices">
                            <a [routerLink]="['/booking-services', bookingServiceMember.bookingServices?.id, 'view']" >{{ bookingServiceMember.bookingServices?.id }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/booking-service-member', bookingServiceMember.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/booking-service-member', bookingServiceMember.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(bookingServiceMember)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
